#
# spec file for package sendmail-tls (Version 8.11.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  -sendmail autoconf automake cyrus-sasl cyrus-sasl-devel db-devel ed openldap2 openldap2-client openldap2-devel openssl-devel tcpd
# usedforbuild    -sendmail aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl cyrus-sasl-devel db db-devel devs diffutils e2fsprogs ed file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcpd texinfo textutils timezone unzip util-linux vim

Name:         sendmail-tls
%define       SUBDIRS libsmutil libsmdb sendmail mail.local mailstats makemap praliases rmail smrsh libmilter
Copyright:    1983 Eric P. Allman
Group:        Networking/Daemons
Provides:     smtp_daemon
Requires:     procmail
Conflicts:    smail postfix sendmail postfix-tls
Autoreqprov:  on
Version:      8.11.6
Release:      82
Summary:      BSD sendmail (with TLS)
Source0:      sendmail-%{version}.tar.bz2
Source1:      FAQ.sendmail-8.11.bz2
Source2:      sfio-1999.tar.bz2
Patch0:       sendmail-%{version}-tls.patch
Patch1:       sendmail-%{version}.dif
Patch2:       sfio-1999.dif

%global       smdir sendmail-%{version}

%description
The "Unix System Administration Handbook" calls sendmail
"The most complex and complete mail delivery system in common use..." .
This version includes TLS and SASL support.
Ready-made configuration files are included for systems connected by
TCP/IP (with or without a name server) and for systems using UUCP.
'procmail' is used as a local mail agent.

Authors:
--------
    Eric Allman <sendmail@sendmail.ORG>

SuSE series: sec

%package -n sfio
Version:      1999
Release:      190
Summary:      A Safe/Fast I/O Library
Copyright:    1991, 1996 by AT&T Labs - Research, Kiem-Phong Vo, David Korn and Glenn Fowler
Group:        System Environment/Libraries

%global       sfdir sfio-%{version}

%description -n sfio
A safe and fast library for file input and output.

Authors:
--------
    Kiem-Phong Vo <kpv@research.att.com>
    David Korn <dgk@research.att.com>
    Glenn Fowler <gsf@research.att.com>

SuSE series: d

%prep
%setup -n %{smdir} -b 2
%patch -P 1 -p 0 -b .dif
%patch -P 0 -p 0 -b .tls
pushd ../%{sfdir}
%patch -P 2 -p 0
popd
case `/usr/share/automake/config.guess` in
  i?86-*-linux-*libc1)
    mv suse/rc.libc5 suse/rc
    set -f
    cat <<-EOF > file-list
	%%config(noreplace) /etc/mail/sendmail.st
	%%dir %%attr(0700, root, root) /var/mqueue
	%%dir /var/mqueue/.hoststat
	EOF
    set +f
    ;;
  *)
    set -f
    cat <<-EOF > file-list
	%%config(noreplace) /var/log/sendmail.st
	%%dir %%attr(0700, root, root) /var/spool/mqueue
	%%dir /var/spool/mqueue/.hoststat
	%%config %%attr(0644, root, root) /etc/permissions.d/sendmail-tls
	EOF
    set +f
    ;;
esac

%build
    pushd ../%{sfdir}
	pushd src/lib/sfio/
	    make
	popd
	SFINC=$PWD/include
	SFLIB=$PWD/lib
    popd
    ln -sf $SFLIB libsf
    ln -sf $SFINC include/sfio
    # ingnore vacation (we have our own)
    make SUBDIRS="%{SUBDIRS}"
    #

%install
    pushd ../%{sfdir}
	mkdir -p /usr/include/sfio
	mkdir -p /usr/lib
	mkdir -p %{_mandir}/man3
#	install -m 0644 man/man3/vthread.3 %{_mandir}/man3/
	install -m 0644 man/man3/sfio.3    %{_mandir}/man3/
	install -m 0644 include/*.h        /usr/include/sfio/
	install -m 0644 lib/*.a            /usr/lib/
    popd
    #
    doc=%{_defaultdocdir}/sendmail
    mkdir -p ${doc}
    mkdir -p /etc/mail
    mkdir -p /usr/lib/sendmail.d/bin
    mkdir -p /usr/share/sendmail
    mkdir -p /var/run/sendmail
    chmod 1750 /var/run/sendmail
    mkdir -p /etc/permissions.d
    make SUBDIRS="%{SUBDIRS}" \
	MANROOTMAN=%{_mandir}/man \
	MANROOT=%{_mandir}/cat \
	install
    ln -sf /usr/sbin/sendmail /usr/lib/sendmail
    mv /usr/sbin/praliases     /usr/bin/praliases
    case "`/usr/share/automake/config.guess`" in
	i?86-*-linux-*libc1)
	    mkdir -p           /var/mqueue/.hoststat
	    chown -R root.root /var/mqueue
	    chmod 0700         /var/mqueue
	    touch	       /etc/mail/sendmail.st
	    ;;
	*)
	    mkdir -p           /var/spool/mqueue/.hoststat
	    chown -R root.root /var/spool/mqueue
	    chmod 0700         /var/spool/mqueue
	    touch	       /var/log/sendmail.st
	    ;;
    esac
    chmod 0755         /usr/lib/sendmail.d
    chmod 0755         /usr/lib/sendmail.d/bin
    ln -sf /usr/bin/vacation /usr/lib/sendmail.d/bin/
    ln -sf /usr/bin/mail     /usr/lib/sendmail.d/bin/
    ln -sf /usr/bin/procmail /usr/lib/sendmail.d/bin/
    install -m 0644 K* README RELE* doc/op/op.ps \
                       sendmail/TRACEFLAGS suse/README.SuSE \
                       contrib/{e*,re-*,sm*,passwd*}.pl ${doc}
    install -m 0644 ${RPM_SOURCE_DIR}/FAQ.sendmail-8.11.bz2 ${doc}/FAQ.sendmail.bz2
    groff -pe -me -mtty-char -Tlatin1 doc/op/op.me          > ${doc}/op.txt
    install -m 0644 smrsh/README ${doc}/README.smrsh
    install -m 0644 libmilter/README ${doc}/README.libmilter
    gzip -9f ${doc}/*.ps
    gzip -9f ${doc}/*.txt
    touch /var/adm/setup/setup.sendmail
    tar cfC - cf . | tar xfC - /usr/share/sendmail/
    chown root.root -R /usr/share/sendmail/
    rm -fr /usr/share/sendmail/*/*~ ${doc}/*~
    find /usr/share/sendmail/ ${doc}/ -name '*.ldap' -o -name '*.mime' -o \
				      -name '*.mrbl' -o -name '*.util' -o \
				      -name '*.dif' | xargs -r rm -f
    cd suse/
    install -m 0644 aliases /etc/
    install -m 0644 README Makefile mailertable genericstable userdb \
                    virtusertable access linux.mc linux.nullclient.mc \
                    service-nodns.switch service.switch relay-domains \
		    /etc/mail/
    install -m 0755 sendmail.nissl /usr/sbin/
    install -m 0644 permissions /etc/permissions.d/sendmail-tls
    install -m 0755 rc /etc/init.d/sendmail
    install SuSEconfig.sendmail /sbin/conf.d/
    install -m 0644 rc.config.sendmail /var/adm/fillup-templates/
    cd ../
    m4 < /etc/mail/linux.mc > /etc/sendmail.cf
    ln -sf /etc/init.d/sendmail /usr/sbin/rcsendmail
    ln -sf ../aliases  /etc/mail/aliases
    pushd /etc/mail/
	make
    popd

%post
sbin/insserv etc/init.d/sendmail
echo -n "Updating etc/rc.config..."
if test -x bin/fillup ; then
  if test -e etc/SuSE-release ; then
    if test -e etc/rc.config.d/sendmail.rc.config ; then
      bin/fillup -q -t       -d "=" etc/rc.config.d/sendmail.rc.config var/adm/fillup-templates/rc.config.sendmail
    else
      bin/fillup -q -t -r -i -d "=" etc/rc.config var/adm/fillup-templates/rc.config.sendmail etc/rc.config.d/sendmail.rc.config
      mv etc/rc.config.new etc/rc.config
    fi
  else
    bin/fillup -q -d "=" etc/rc.config var/adm/fillup-templates/rc.config.sendmail
  fi
  echo "Done."
else
  echo 
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.sendmail and"
  echo "update by hand."
fi
test -e etc/SuSE-release || exit 0
MAILS_SPOOLED=false
for i in var/mqueue/* ; do
    test -f $i && {
        MAILS_SPOOLED=true
        break
    }
done
if test "$MAILS_SPOOLED" = true ; then
    mkdir -p var/adm/notify/messages
    cat << EOT > var/adm/notify/messages/Mailqueue-changes
Hallo,  (english text below)
Ab der SuSE Linux 6.0 haben wir das Verzeichnis in dem sendmail seine
Mail queue zwischenspeichert von /var/mqueue nach /var/spool/mqueue
verschoben.  In Ihrem System scheinen whrend des Updates noch Mails
in der Queue gesteckt zu haben. Folgendermassen knnen Sie diese wieder
in die Queue einreihen (als Benutzer root):
   rcsendmail stop
   mv /var/mqueue/* /var/spool/mqueue
   rcsendmail start
Hello,
With 6.0 of SuSE Linux we moved the spool directory for sendmail from
/var/mqueue to /var/spool/mqueue.  Your system seems to have spooled
mails in /var/mqueue.  Please move them to /var/spool/mqueue with
(as user root):
   rcsendmail stop
   mv /var/mqueue/* /var/spool/mqueue
   rcsendmail start
Have a lot of fun...
                          Your SuSE Team
EOT
fi
if test -s etc/hosts.allow ; then
    tcpd=no
    while read line; do
	case "$line" in
	\#*|"") ;;
	*)      tcpd=yes
	esac
    done < etc/hosts.allow
    if test "$tcpd" = "yes" ; then
	mkdir -p var/adm/notify/messages
	cat << EOT > var/adm/notify/messages/Sendmail-uses-libwrap
Hallo,  (english text below)
Diese Version von sendmail benutzt die libwrap, daher sollten
Sie Ihre /etc/hosts.allow und /etc/hosts.deny entsprechend
anpassen.
Hello,
This version of sendmail is linked with libwrap. Please
verify that your /etc/hosts.allow and /etc/hosts.deny
will work with sendmail.
Have a lot of fun...
                          Your SuSE Team
EOT
    fi
fi

%postun
sbin/insserv etc/init.d/

%files -f file-list
# defined in file-list (version depend)
#%config(noreplace) /var/log/sendmail.st
#%dir %attr(0700, root, root) /var/spool/mqueue
#%dir /var/spool/mqueue/.hoststat
#%config %attr(0644, root, root) /etc/permissions.d/sendmail-tls
#
%dir /etc/mail
%config(noreplace) /etc/sendmail.cf
%config(noreplace) /etc/aliases
%doc               /etc/mail/README
%config(noreplace) /etc/mail/Makefile
# this is a link
                   /etc/mail/aliases
%config(noreplace) /etc/mail/linux.mc
%config(noreplace) /etc/mail/linux.nullclient.mc
%config(noreplace) /etc/mail/mailertable
%config(noreplace) /etc/mail/genericstable
%config(noreplace) /etc/mail/virtusertable
%config(noreplace) /etc/mail/access
%config(noreplace) /etc/mail/userdb
%config(noreplace) /etc/mail/relay-domains
%config(noreplace) /etc/mail/service.switch
%config(noreplace) /etc/mail/service-nodns.switch
%doc %{_defaultdocdir}/sendmail
/usr/share/sendmail
%dir /var/adm/setup
/var/adm/setup/setup.sendmail
%dir /var/adm/fillup-templates
/var/adm/fillup-templates/rc.config.sendmail
%config %attr(0755, root, root) /etc/init.d/sendmail
%config %attr(0755, root, root) /sbin/conf.d/SuSEconfig.sendmail
/usr/bin/hoststat
/usr/bin/mailq
/usr/bin/newaliases
/usr/bin/praliases
/usr/bin/purgestat
#/usr/bin/rmail
/usr/include/libmilter/mfapi.h
/usr/lib/libmilter.a
/usr/lib/libsmutil.a
/usr/lib/sendmail
%dir %attr(0755, root, root) /usr/lib/sendmail.d/
%dir %attr(0755, root, root) /usr/lib/sendmail.d/bin/
/usr/lib/sendmail.d/bin/mail
/usr/lib/sendmail.d/bin/mail.local
/usr/lib/sendmail.d/bin/procmail
/usr/lib/sendmail.d/bin/smrsh
/usr/lib/sendmail.d/bin/vacation
/usr/lib/sendmail.d/helpfile
%doc %{_mandir}/man1/mailq.1.gz
%doc %{_mandir}/man1/newaliases.1.gz
%doc %{_mandir}/man5/aliases.5.gz
%doc %{_mandir}/man8/makemap.8.gz
#%doc %{_mandir}/man8/rmail.8.gz
%doc %{_mandir}/man8/sendmail.8.gz
%doc %{_mandir}/man8/smrsh.8.gz
%doc %{_mandir}/man8/mail.local.8.gz
/usr/sbin/mailstats
/usr/sbin/makemap
%attr(6555, root, root) /usr/sbin/sendmail
/usr/sbin/sendmail.nissl
/usr/sbin/rcsendmail
%dir %attr(1750, root, root) /var/run/sendmail/

%files -n sfio
/usr/include/sfio/
/usr/lib/libsfio*.a
/usr/lib/libstdio*.a
# /lib/libvthread.a
%doc %{_mandir}/man3/sfio.3.gz
# %doc %{_mandir}/man3/vthread.3.gz

%changelog -n sendmail-tls
* Thu Aug 30 2001 - werner@suse.de
- More on bug #9097
* Wed Aug 22 2001 - werner@suse.de
- Remove `Provides sendmail' and `Provides sendmail-tls'
* Wed Aug 22 2001 - werner@suse.de
- Security update to 8.11.6 (bugtraq id 3163)
* Tue Aug 14 2001 - werner@suse.de
- Update to 8.11.5
- Fix bug #9097
* Tue Jul 17 2001 - werner@suse.de
- sendmail-tls should provide sendmail
* Wed Jun 27 2001 - werner@suse.de
- More re-ordering of cpp directives
* Wed Jun 27 2001 - werner@suse.de
- Re-order cpp directive to be not included within printf
* Wed Jun 06 2001 - werner@suse.de
- Simple fix in sendmail.nissl script
- Add hops fix
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Thu Apr 26 2001 - werner@suse.de
- Add missed entries in /etc/mail/linux.mc
* Thu Apr 05 2001 - werner@suse.de
- Add alias for amavis
* Wed Apr 04 2001 - werner@suse.de
- Add message about libwrap and sendmail if host.allow is used
* Thu Mar 29 2001 - werner@suse.de
- Add interface for amavis
- Move mfapi.h to /usr/include/libmilter/
* Wed Mar 21 2001 - werner@suse.de
- Update to sendmail 8.11.3
- Add libmilter.a and co
* Thu Mar 15 2001 - ro@suse.de
- changed for openldap2
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Tue Feb 27 2001 - ro@suse.de
- changed neededforbuild <cyrus-sasl> to <cyrus-sasl cyrus-sasl-devel>
* Fri Feb 23 2001 - werner@suse.de
- Check for YAST_ASK value for all variables used be SuSEconfig
* Wed Jan 17 2001 - werner@suse.de
- Change init.d location in sendmails permission file
* Tue Jan 09 2001 - werner@suse.de
- Update to 8.11.2 due BUG fixes
  * Sendmail, Inc. and the Sendmail Consortium are proud to
  announce the release of sendmail 8.11.2. This is a maintenance
  release which contains bug fixes for problems found after
  8.11.1 was released.
* Mon Dec 18 2000 - werner@suse.de
- Add touch of *.db file to set mtime of those files
* Mon Dec 11 2000 - werner@suse.de
- Add LSB header to init script
* Fri Dec 08 2000 - werner@suse.de
- Rename /etc/permission.d/sendmail to /etc/permission.d/sendmail-tls
  (close bug#4503)
* Tue Dec 05 2000 - bk@suse.de
- add /usr/lib/sendmail.d/bin (like /usr/lib/sendmail.d) to %%files
* Tue Nov 28 2000 - kukuk@suse.de
- Move init script to /etc/init.d
* Thu Nov 23 2000 - werner@suse.de
- split package
%changelog -n sendmail
* Thu Aug 30 2001 - werner@suse.de
- More on bug #9097
* Wed Aug 22 2001 - werner@suse.de
- Security update to 8.11.6 (bugtraq id 3163)
* Tue Aug 14 2001 - werner@suse.de
- Update to 8.11.5
- Fix bug #9097
* Wed Jun 27 2001 - werner@suse.de
- More re-ordering of cpp directives
* Wed Jun 27 2001 - werner@suse.de
- Re-order cpp directive to be not included within printf
* Wed Jun 06 2001 - werner@suse.de
- Simple fix in sendmail.nissl script
- Add hops fix
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Thu Apr 26 2001 - werner@suse.de
- Add missed entries in /etc/mail/linux.mc
* Thu Apr 05 2001 - werner@suse.de
- Add alias for amavis
* Wed Apr 04 2001 - werner@suse.de
- Add message about libwrap and sendmail if host.allow is used
* Thu Mar 29 2001 - werner@suse.de
- Add interface for amavis
- Move mfapi.h to /usr/include/libmilter/
* Wed Mar 21 2001 - werner@suse.de
- Update to sendmail 8.11.3
- Add libmilter.a and co
* Thu Mar 15 2001 - ro@suse.de
- changed for openldap2
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Fri Feb 23 2001 - werner@suse.de
- Check for YAST_ASK value for all variables used be SuSEconfig
* Wed Jan 17 2001 - werner@suse.de
- Change init.d location in sendmails permission file
* Tue Jan 09 2001 - ro@suse.de
- re-added sfio compile fix from Andreas Schwab
* Tue Jan 09 2001 - werner@suse.de
- Update to 8.11.2 due BUG fixes
  * Sendmail, Inc. and the Sendmail Consortium are proud to
  announce the release of sendmail 8.11.2. This is a maintenance
  release which contains bug fixes for problems found after
  8.11.1 was released.
* Mon Dec 18 2000 - werner@suse.de
- Add touch of *.db file to set mtime of those files
* Mon Dec 11 2000 - werner@suse.de
- Add LSB header to init script
* Tue Dec 05 2000 - bk@suse.de
- add /usr/lib/sendmail.d/bin (like /usr/lib/sendmail.d) to %%files
* Tue Nov 28 2000 - kukuk@suse.de
- Move init script to /etc/init.d
* Fri Nov 24 2000 - werner@suse.de
- Update to 8.11.1
- Add a Makefile for /etc/mail/
- Minor changes within suse-linux.m4
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Wed Sep 27 2000 - werner@suse.de
- Fix VERSIONID format handling
* Mon Sep 11 2000 - werner@suse.de
- Fix some typos in README.SuSE (Thanks to Pavel Janik)
* Tue Sep 05 2000 - werner@suse.de
- correct FAQ name
* Mon Sep 04 2000 - werner@suse.de
- Update to 8.11.0
  * Hopefully reverse lookup works even with IPv6
  * Adapted the patches of 8.10.2
- Add MASQUERADE_DOMAINS for masquerade of disjoint namespaces
- Move /var/run/sendmail.control to /var/run/sendmail/control
* Tue Jul 25 2000 - werner@suse.de
- Add missed helpfile to file list.
- Correct two typo's
* Fri Jul 14 2000 - werner@suse.de
- Use FQHOSTNAME in /etc/rc.config or /etc/HOSTNAME before calling
  hostname because the hostname maybe configured but not active.
* Tue Jul 11 2000 - werner@suse.de
- Set Timeout.ident to `0s' for SuSE Linux because many sites do
  not run identd or have disabled auth/ident protocol
* Tue Jun 20 2000 - werner@suse.de
- Remove FROM_HEADER from /etc/rc.config.d/sendmail.rc.config
  (bug #2881)
* Mon Jun 19 2000 - werner@suse.de
- Security update to 8.10.2
* Wed May 10 2000 - werner@suse.de
- Add a README.SuSE at /usr/share/doc/packages/sendmail/
- Make sendmail accept sticky but group writable directories
- Correct order of mailers in SuSEconfig script
* Tue May 09 2000 - werner@suse.de
- Add loud comment to hopefully weak up otherwise not thinking
  system adiminstrators.
- Use dummy domains only within linux.mc.
* Fri Apr 14 2000 - werner@suse.de
- New version 8.10.1 (some security fixes)
* Fri Apr 14 2000 - werner@suse.de
- Add tcpd into neededforbuild
* Thu Apr 06 2000 - werner@suse.de
- Update to version 8.10.0 of sendmail
  * convert SuSE patches if not already in there
  * change our extensions to the new version (e.g. bsmtp, fido)
  * add mail500 mailer for (open)ldap
  * local mailer shouldn't use MX records
  * a few fixes withion the M4 macro tools
  * fix configure script
  * make libc5/nis+ changes dynamically
  * add example /etc/mail/relay-domains
  * add some informations on various files in /etc/mail/
  * move /etc/smrsh/ to /usr/lib/sendmail.d/bin/
  * install helpfile into /usr/lib/sendmail.d/
  * do NOT build and install vacation, we have our own
* Tue Feb 29 2000 - schwab@suse.de
- Fix inconsistent printf format/arguments.
* Mon Feb 28 2000 - werner@suse.de
- Add patch which avoid alignment problems
* Mon Feb 21 2000 - ke@suse.de
- add Copyright tag to the uucp subpackage
- beautify Group tags
* Mon Feb 14 2000 - ro@suse.de
- move man to /usr/share using macro
* Fri Feb 11 2000 - werner@suse.de
- Fix m4 source path during installation
* Mon Jan 10 2000 - werner@suse.de
- Correct stupid ` ' bug ;^)
* Thu Dec 23 1999 - werner@suse.de
- Move DOMAIN(generic) from suse-linux.m4 to linux.mc and
  SuSEconfig.sendmail
- Add /etc/mail/README.linux to the rpm binary file.
* Tue Dec 14 1999 - ro@suse.de
- create directory /var/lib/uucp (no longer in aaa_dir)
* Thu Dec 02 1999 - werner@suse.de
- Make it ready for 5.3 (libc5)
* Mon Nov 08 1999 - werner@suse.de
- Fix some permissions
* Fri Nov 05 1999 - schwab@suse.de
- Fix typo in %%post
* Wed Nov 03 1999 - werner@suse.de
- Workaround for fillup kludge
- really disable tcpwrapper
* Tue Nov 02 1999 - werner@suse.de
- Adapted the db1 patch to the last change
* Mon Nov 01 1999 - werner@suse.de
- Currently disabled: libwrap from tcpd (feature for next SuSE)
- Don't use passwd in service switches because currently not used
  by sendmail
* Fri Oct 29 1999 - werner@suse.de
- Remove doubled alias `abuse'
* Thu Oct 28 1999 - werner@suse.de
- Add some more comments
- Split nocanonify and nodns to support configurations found
  with an update.
- Still unresolved: Usage of TCPWRAPPER
* Wed Oct 27 1999 - werner@suse.de
- Add linebreak in warning
* Wed Oct 27 1999 - werner@suse.de
- Add description for SENDMAIL_GENERICS_DOMAIN
* Wed Oct 27 1999 - werner@suse.de
- Fix some minor bugs:
  * source /etc/rc.config.d/sendmail.rc.config if available
  * Expand AliasFile for ldap
  * Locate AliasFile at /etc/aliases
  * Add some more comments about nis, nisplus in service.switch
  * Make FEATURE ldap usable
* Tue Oct 26 1999 - werner@suse.de
- Add some patches
  * ldap.893.patch (some fixes for ldap support)
  * mime.c.patch.893 (avoid buffer overflow die mime mails)
  * mrbl.p3.893 (enable multiple realtime blackhole list)
  * util.c.893.patch (avoid freeing of pointer in signal handler)
- Add own changes
  * a new feature/ldap.m4 for (open)ldap support
  * a new feature/expensive.m4 (expensive smtp)
  * a new feature/dialup.m4 (defer delivery mode)
  * a new hack/nodns.m4 (combine nocanonify and service-nodns.switch)
  * add service-nodns.switch and service.switch (passwd with nis)
  in /etc/mail/
  * add a new ostype/suse-linux.m4 with our default configuration
  * change /etc/mail/linux.mc, /etc/mail/linux.nullclient.mc,
  and /sbin/conf.d/SuSEconfig to fit new suse-linux.m4
  * add some anti-spam possibilities in /etc/mail/linux.mc
  * make IP_SRCROUTE work for newer kernels and glibc
  * make USESETEUID and HASSETREUID work for the
  appropiate kernel and glibc version.
  * add IP adresses 127.x.x.x for relaying in /etc/mail/access
  * change permissions for /var/spool/mqueue
  * use `.hoststat' directory
  * use DOMAIN(generic)
  * add some default aliases (abuse and spam)
  * use wrapper library (/etc/hosts.allow and /etc/hosts.deny)
  * enable nisplus support
  * enable ldap support
  * add text version of intro, op, and usenix
* Mon Sep 20 1999 - ro@suse.de
- added provides smtp_daemon
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 10 1999 - uli@suse.de
- fixed manpath in Linux.ppc
* Thu Aug 05 1999 - uli@suse.de
- updated FAQ
* Thu Jul 22 1999 - bs@suse.de
- switched back to prior version, because /etc/mail/linux.mc is mentioned
  in our manual.
* Tue Jul 20 1999 - florian@suse.de
- better configuration and anti spam option
- delete FAQ from distribution
- sample config files only in /usr/doc
* Mon Jul 12 1999 - ro@suse.de
- do not pre-format man-pages
* Thu Jun 10 1999 - ro@suse.de
- fixed build for libc5
* Tue May 18 1999 - ro@suse.de
- updated db1-patch
* Fri May 14 1999 - choeger@suse.de
- add on for SuSEconfig.sendmail for DoD Sites
  FEATURE(\`accept_unresolvable_domains')dnl
  FEATURE(\`accept_unqualified_senders')dnl
  will be set if SENDMAIL_EXPENSIVE=yes
* Tue Apr 06 1999 - choeger@suse.de
- removed feature nodns, because it's declared as no-op
* Sun Apr 04 1999 - choeger@suse.de
- new package sendmail-8.9.3
- new feature /etc/mail/access
* Wed Feb 17 1999 - ro@suse.de
- removed rmail and rmail.8 (moved to package uucp)
- build uucp from same specfile
* Mon Jan 11 1999 - ro@suse.de
- Makefile.Linux: objdir changed to Linux.2.* (respect alpha)
* Mon Dec 14 1998 - bs@suse.de
- created notify message
- fixed comment in rc.config
* Thu Dec 10 1998 - florian@suse.de
- update check.tar.gz to the newest version
- use /var/spool/mqueue instead of /var/mqueue
- add statistics prog sendmail.nissl
- mv smrsh prog dir to /etc/smrsh
- add userdb
- etc/aliases: add more logic and fix some paths
- add /tmp-race-fixes to expn.pl
- mv /etc/mail/sendmail.st /var/log/
- fix some paths in sendmail docu
- add LUSER_RELAY example to /etc/mail/linux.mc
- add bug-fixes if someone recompiles with TCPWRAPPERS defined
- add SENDMAIL_GENERICS_DOMAIN to rc.config
- change most files in /etc/mail to config(noreplace)
- dynamic linking against -lresolv -lnsl
- do not compile with XDEBUG
* Mon Dec 07 1998 - ro@suse.de
- updated init-script
- build for libc5 as well as for glibc
* Sat Dec 05 1998 - bs@suse.de
- mark /etc/sendmail.cf and /etc/aliases as "noreplace".
- mark mailertable, virtusertable, genericstable as "noreplace".
- skipped notice mail for sys admin.
- don't include *.db
- SuSEconfig.sendmail: fixed problem, if *.db do not exist.
* Thu Nov 05 1998 - ro@suse.de
- use -ldb (db1 exists only for glibc-2.1)
* Tue Sep 29 1998 - ro@suse.de
- BETA ONLY: use /usr/include/db1 and -ldb1
  use -lresolv and -lnsl
* Wed Mar 04 1998 - florian@suse.de
- add newer anti-spam rules
- comment out majordomo-entries in /etc/aliases
- do not use "smtp:" for nullclient file
* Mon Mar 02 1998 - florian@suse.de
- marked /etc/mail/aliases as %%config
* Mon Feb 09 1998 - florian@suse.de
- newer /etc/mail/README
- newer anti-spam rules
- make all database files optional in linux.mc
- do not use the "-f" option for the database files
- use the new SuSE-functions to check with md5sums if a new sendmail.cf
  should be written
* Fri Jan 16 1998 - bs@suse.de
- minor bugfix in /sbin/conf.d/SuSEconfig.sendmail
  (exit if no rc.config exists)
* Thu Nov 27 1997 - florian@suse.de
- fix some typos in docu files
- update to newest version of Anti-Spam support
* Wed Nov 19 1997 - florian@suse.de
- enable NIS support
* Sun Nov 16 1997 - florian@suse.de
- update /etc/mail/README
* Mon Oct 27 1997 - florian@suse.de
- update to sendmail 8.8.8
- first start for a docu file in /etc/mail/README
- new parameters in rc.config (/var/adm/fillup-templates/rc.config.sendmail)
- per default additional database files in /etc/mail are used
- /sbin/conf.d/SuSEconfig.sendmail gernerates /etc/sendmail.cf
- add support for anti-spam macros from Claus Amann
- sample /etc/mail/linux.mc for complex email setups
* Sun Apr 27 1997 - bs@suse.de
  start sendmail in background in sbin/init.d/sendmail
* Thu Feb 27 1997 - bs@suse.de
  added alias faxmaster
* Wed Jan 22 1997 - florian@suse.de
- add uucp and mdom to the list of trusted users
- update to version 8.8.5
- add slightly better /etc/aliases
* Thu Jan 02 1997 - florian@suse.de
- update to 8.8.4 (due to a security hole)
* Thu Jan 02 1997 - florian@suse.de
- update to 8.8.3 (due to a big security hole)
* Thu Jan 02 1997 - florian@suse.de
- Update auf neue Version 8.8.2.
- Vorbereitung von mehr Konfigurationsmoeglichkeiten in rc.config.
* Thu Jan 02 1997 - florian@suse.de
- added two small patches from Eric Allman(?)
* Thu Jan 02 1997 - florian@suse.de
- update to newer version
* Thu Jan 02 1997 - florian@suse.de
- added security fix
- use "FEATURE(nocanonify)" instead of editing the .cf file
%changelog -n sfio
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Fri Nov 24 2000 - werner@suse.de
- Downgrade to 1999 because sendmail doens't work with sfio 2000
* Thu Nov 23 2000 - werner@suse.de
- new package required for sendmail (mainly): sfio 2000
%changelog -n uucp
* Thu Oct 25 2001 - werner@suse.de
- UUCP: Fix exploit in uuxqt
* Wed Jun 06 2001 - werner@suse.de
- Make it work with new autoconf
* Wed Mar 21 2001 - werner@suse.de
- It's GNU source
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Tue Mar 13 2001 - werner@suse.de
- Fix manual page: do not handle CVS a pre processor
* Tue Nov 28 2000 - werner@suse.de
- Set permissions and owner ship of /var/log/uucp/ to
  0755 and uucp.uucp.
* Tue May 09 2000 - werner@suse.de
- Revisited uucpcfg
  * Add english comments
  * Add UUCP over TCP/IP example
  * Comment out the examples (security: no backdoor)
  * Add some speed ranges for port serial1
* Fri Apr 07 2000 - werner@suse.de
- Changes for uucp
  * Avoid FPE error if baud rate is zero (uucico.c)
  * Add some higher baud rates (i386, mostly ppc) (uucico.c)
  * Avoid stall connection due ignored "CYM" command (trans.c)
  * Avoid root owned stale locks
  * Add grade patch for uucico from Debian
  * Some minor and unchecked changes of the contrib's
  * Use /var/log/uucp for logging (Tayler configuration)
  * Change paths in manual pages and info files
* Thu Mar 16 2000 - werner@suse.de
- Make UUCP docs readable for all
* Tue Feb 29 2000 - schwab@suse.de
- Fix size_t vs. socklen_t.
* Mon Feb 14 2000 - ro@suse.de
- removed Makefile.Linux
- updated configure
- move man,info to /usr/share using macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Feb 17 1999 - ro@suse.de
- added rmail and rmail.8 built from sendmail-sources
- build from sendmail.spec
* Fri Jan 08 1999 - bs@suse.de
- incorporated uucpcfg
* Mon Dec 14 1998 - bs@suse.de
- created notify mail
* Sun Dec 13 1998 - florian@suse.de
  do not use "-" to start options for "ps"
  move config dir to /etc/uucp
  cu is not suid uucp
  compiler falgs are set to sane values
* Thu Jan 02 1997 - bs@suse.de
  var/spool/uucppublic/README changed
* Thu Jan 02 1997 - 
  don't use public writable directories
* Thu Jan 02 1997 - bs@suse.de
  change from binary to ascii lockfiles
